local GetKingdomPresentInfoMessage = BaseClass("GetKingdomPresentInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self, serverId, throneType)
  base.OnCreate(self)
  self.sfsObj:PutInt("serverId", serverId)
  self.sfsObj:PutInt("actType", throneType)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  DataCenter.GovernmentManager:GetKingdomPresentInfoHandler(t)
end
GetKingdomPresentInfoMessage.OnCreate = OnCreate
GetKingdomPresentInfoMessage.HandleMessage = HandleMessage
return GetKingdomPresentInfoMessage
